RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1979387 - [RFE] support "filename" DHCP option for network boot with nm-initrd-generator
Summary: [RFE] support "filename" DHCP option for network boot with nm-initrd-generator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: NetworkManager
Version: 8.5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: beta
: ---
Assignee: Beniamino Galvani
QA Contact: Filip Pokryvka
URL:
Whiteboard:
: 2021072 (view as bug list)
Depends On: 1900502
Blocks: 1991449 1991516 1991823
TreeView+ depends on / blocked
 
Reported: 2021-07-05 19:39 UTC by Thomas Haller
Modified: 2022-11-15 17:27 UTC (History)
28 users (show)

Fixed In Version: NetworkManager-1.32.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1900502
: 1991449 (view as bug list)
Environment:
Last Closed: 2021-11-09 19:30:33 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github nettools n-dhcp4 pull 25 0 None open lease: add an accessor for the file name 2021-07-19 13:30:47 UTC
Red Hat Product Errata RHSA-2021:4361 0 None None None 2021-11-09 19:30:57 UTC
freedesktop.org Gitlab NetworkManager NetworkManager-ci merge_requests 825/ 0 None None None 2021-08-30 08:31:55 UTC
freedesktop.org Gitlab NetworkManager NetworkManager merge_requests 929 0 None merged core: persist the bootfile-name from DHCP 2021-07-27 07:54:38 UTC

Description Thomas Haller 2021-07-05 19:39:55 UTC
+++ This bug was initially created as a clone of Bug #1900502 +++

See details at bug 1900502.

Comment 3 Radek Vykydal 2021-07-27 08:21:47 UTC
For the record, using the installer feature from the upstream original of the BZ - bug 1900502 - which is path to kickstart defined via dhcp filename option for "inst.ks" installer boot option requires patch in Anaconda (upstream: https://github.com/rhinstaller/anaconda/pull/3541).

Comment 6 Radek Vykydal 2021-08-09 10:28:18 UTC
(In reply to Radek Vykydal from comment #3)
> For the record, using the installer feature from the upstream original of
> the BZ - bug 1900502 - which is path to kickstart defined via dhcp filename
> option for "inst.ks" installer boot option requires patch in Anaconda
> (upstream: https://github.com/rhinstaller/anaconda/pull/3541).

I've opened bug 1991516 to handle the Anaconda part of the fix.

Comment 9 errata-xmlrpc 2021-11-09 19:30:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: NetworkManager security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4361

Comment 10 Beniamino Galvani 2022-11-15 17:27:34 UTC
*** Bug 2021072 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.